--
-- Adding new columns to admin_login for accepting EULA
--
ALTER TABLE admin_login
  ADD COLUMN eula_accepted TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  ADD COLUMN eula_version VARCHAR(255) DEFAULT '2018-01-17';

COMMENT ON COLUMN admin_login.eula_accepted is 'Time the eula was last accepted';
COMMENT ON COLUMN admin_login.eula_version is 'Version of eula accepted';

ALTER TABLE admin_login ALTER COLUMN eula_accepted DROP DEFAULT;
ALTER TABLE admin_login ALTER COLUMN eula_version DROP DEFAULT;
