-- DSER-6500 Add design_partner field to admin_login
ALTER TABLE admin_login
  ADD COLUMN design_partner BOOLEAN DEFAULT FALSE;

COMMENT ON COLUMN admin_login.design_partner is 'Whether the user has opted in to being a design partner';
--

-- DSER-6500 Add user_feedback table
CREATE TABLE IF NOT EXISTS user_feedback (
  id SERIAL,
  created_at TIMESTAMP NOT NULL DEFAULT now(),
  user_id BIGINT NOT NULL REFERENCES admin_login(login_id),
  org_id BIGINT NOT NULL REFERENCES organization(org_id),
  category  VARCHAR(100) NOT NULL,
  subcategory VARCHAR(255),
  feedback TEXT
);
--

-- Add Linux as a device type
INSERT INTO device_type(device_type_id, name) VALUES (5, 'Linux');
--
