-- DEPRECATED role is used to signify that a user has been moved to user role association in Access Control Service

INSERT INTO admin_role_type SELECT 20, 'DEPRECATED' WHERE NOT EXISTS (SELECT * FROM admin_role_type WHERE role_type_id=20);



CREATE TABLE IF NOT EXISTS threatsight_recipients (
  id SERIAL,
  org_id BIGINT NOT NULL,
  created_at TIMESTAMP NOT NULL DEFAULT now(),
  email VARCHAR(255),
  send_notifications BOOLEAN NOT NULL DEFAULT FALSE,
  send_reports BOOLEAN NOT NULL DEFAULT FALSE,
  PRIMARY KEY (id)
);



-- Support PSC Role URNs when registering a new user
DO $$
BEGIN
  IF NOT EXISTS(SELECT *
    FROM information_schema.columns
    WHERE table_name='admin_registration' and column_name='admin_role_urn')
  THEN
      ALTER TABLE admin_registration ADD COLUMN admin_role_urn varchar(255);
  END IF;
END $$;
