--
-- add table to track devices that need MSM processing
--

CREATE TABLE IF NOT EXISTS msm_processing_device
(
    device_id BIGINT NOT NULL,
    created_at TIMESTAMP NOT NULL DEFAULT NOW(),
    started_at TIMESTAMP,
    PRIMARY KEY (device_id),
    FOREIGN KEY (device_id) REFERENCES device (device_id)
);
CREATE INDEX msm_processing_device_created_at ON msm_processing_device(created_at);
CREATE INDEX msm_processing_device_started_at ON msm_processing_device(started_at);
