CREATE OR REPLACE VIEW admin_login_view AS
SELECT login_id, login_name, admin_contact_id, reset_code,
    locked, lock_reason, failed_logins, create_time, created_by,
    last_login_time, update_version, last_failed_ip, last_failed_time,
    last_success_ip, ga_registered, last_5_success_ip, auth_method,
    new_reset_code, password_expired, resetcode_expiry, encryption_algorithm, password_reset,
    eula_accepted, eula_version, design_partner, locale
FROM admin_login;

CREATE OR REPLACE VIEW connector_identity_view AS
SELECT connector_id, org_id, identity_key_type, session_id, name,
    description, changed_by, create_time, last_updated_time, connector_type,
    authorized_ip_addresses, service_connector
FROM connector_identity;
