--
-- Data for Name: contact; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY contact (contact_id, name, first_name, middle_name, last_name, title, email_id, phone, address_line_1, address_line_2, city, state, zip_code, country, department, update_version) FROM stdin;
1	tester@scargoinc.com	\N	\N	\N	\N	tester@scargoinc.com	91921219	\N	\N	\N	\N	\N	\N	\N	0
2	\N	user_1	\N	0	\N	user_1_0@scargoinc.com	\N	address1	\N	city	\N	\N	country	\N	0
3	\N	user_1	\N	1	\N	user_1_1	\N	address1	\N	city	\N	\N	country	\N	0
4	\N	user_1	\N	2	\N	user_1_2@scargoinc.com	\N	address1	\N	city	\N	\N	country	\N	0
5	\N	user_3	\N	0	\N	user_3_0@scargoinc.com	\N	address1	\N	city	\N	\N	country	\N	0
6	\N	user_3	\N	1	\N	user_3_1	\N	address1	\N	city	\N	\N	country	\N	0
7	\N	user_3	\N	2	\N	user_3_2@scargoinc.com	\N	address1	\N	city	\N	\N	country	\N	0
\.


--
-- Data for Name: admin_login; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY admin_login (login_id, login_name, password, admin_contact_id, password_reset, reset_code, locked, lock_reason, failed_logins, create_time, created_by, last_login_time, update_version, last_failed_ip, last_failed_time, last_success_ip, last_5_success_ip, ga_secure_key, ga_registered, auth_method, new_reset_code, password_expired, encryption_algorithm) FROM stdin;
1	tester@scargoinc.com	$2a$10$FRdRzg0bJkJLqq2/nFv3MO5LMDOIMy0AaI1YADse0R4I8sYX8uIhm	1	f	0	f	\N	0	2017-01-25 15:21:42.873168+00	\N	2017-01-25 15:21:43.368+00	2		\N		[null]	\N	f	PASSWORD	\N	f	BCRYPT
2	user_1_0@scargoinc.com	$2a$10$FRdRzg0bJkJLqq2/nFv3MO5LMDOIMy0AaI1YADse0R4I8sYX8uIhm	1	f	0	f	\N	0	2017-01-25 15:21:42.873168+00	\N	2017-01-25 15:21:43.368+00	2		\N		[null]	\N	f	PASSWORD	\N	f	BCRYPT
3	view_only@scargoinc.com	$2a$10$FRdRzg0bJkJLqq2/nFv3MO5LMDOIMy0AaI1YADse0R4I8sYX8uIhm	1	f	0	f	\N	0	2017-01-25 15:21:42.873168+00	\N	2017-01-25 15:21:43.368+00	2		\N		[null]	\N	f	PASSWORD	\N	f	BCRYPT
4	support_t1@scargoinc.com	$2a$10$FRdRzg0bJkJLqq2/nFv3MO5LMDOIMy0AaI1YADse0R4I8sYX8uIhm	1	f	0	f	\N	0	2017-01-25 15:21:42.873168+00	\N	2017-01-25 15:21:43.368+00	2		\N		[null]	\N	f	PASSWORD	\N	f	BCRYPT
5	provisioning@scargoinc.com	$2a$10$FRdRzg0bJkJLqq2/nFv3MO5LMDOIMy0AaI1YADse0R4I8sYX8uIhm	1	f	0	f	\N	0	2017-01-25 15:21:42.873168+00	\N	2017-01-25 15:21:43.368+00	2		\N		[null]	\N	f	PASSWORD	\N	f	BCRYPT
6	lr_admin@scargoinc.com	$2a$10$FRdRzg0bJkJLqq2/nFv3MO5LMDOIMy0AaI1YADse0R4I8sYX8uIhm	1	f	0	f	\N	0	2017-01-25 15:21:42.873168+00	\N	2017-01-25 15:21:43.368+00	2		\N		[null]	\N	f	PASSWORD	\N	f	BCRYPT
7	org_admin@scargoinc.com	$2a$10$FRdRzg0bJkJLqq2/nFv3MO5LMDOIMy0AaI1YADse0R4I8sYX8uIhm	1	f	0	f	\N	0	2017-01-25 15:21:42.873168+00	\N	2017-01-25 15:21:43.368+00	2		\N		[null]	\N	f	PASSWORD	\N	f	BCRYPT
\.


--
-- Name: admin_login_login_id_seq; Type: SEQUENCE SET; Schema: public; Owner: localdev
--

SELECT pg_catalog.setval('admin_login_login_id_seq', 7, true);


--
-- Data for Name: organization; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY organization (org_id, org_key, org_type_id, name, admin_contact_id, billing_contact_id, registration_password, analytics_profile, analytics_version, storage_profile, create_time, last_update_time, update_version, mode, trial_end_time, create_admin, paid_start_time, change_timestamps) FROM stdin;
1	R76KWHRN	1	scargoinc.com	1	\N	AABBCC00	DOME	V2	\N	2017-01-25 15:21:42.679198+00	\N	0	1	\N	\N	\N	\N
2	K7MGDHQ7	1	scargoinc2.com	1	\N	AABBCC01	DOME	V2	\N	2017-01-25 15:21:42.679198+00	\N	0	1	\N	\N	\N	\N
\.


--
-- Data for Name: admin_registration; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY admin_registration (org_id, email_id, domain_name, phone, first_name, last_name, admin_role, org_type_id, confirmation_code, confirmed, create_time, confirm_time, created_by, auth_method) FROM stdin;
\N	tester@scargoinc.com	scargoinc.com	91921219	\N	\N	1	1	6877184958700291448	t	2017-01-25 15:21:42.391122+00	2017-01-25 15:21:42.876998+00	\N	PASSWORD
\.


--
-- Data for Name: device_group; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY device_group (device_group_id, org_id, policy_control, is_default, priority, name, description, analytics_profile, analytics_version, admin_contact_id, policy_info, policy_info_v2, update_version, priority_level, change_timestamps) FROM stdin;
1	1	t	t	100	default	\N	\N	\N	\N	\N	{"maxRuleId":2,"avSettings":{"updateServers":{"serversOverride":[],"serversForOffSiteDevices":["http://updates.cdc.carbonblack.io/update"],"servers":[{"flags":0,"regId":null,"server":["http://updates.cdc.carbonblack.io/update"]}],"useServersOverride":false},"features":[{"enabled":false,"name":"SIGNATURE_UPDATE"},{"enabled":true,"name":"ONACCESS_SCAN"},{"enabled":false,"name":"ONDEMOND_SCAN"}],"settings":null,"onAccessScan":{"profile":"NORMAL"},"onDemandScan":{"scanCdDvd":"AUTOSCAN","scanUsb":"AUTOSCAN","schedule":{"days":null,"rangeHours":8,"startHour":20,"recoveryScanIfMissed":true},"profile":"NORMAL"},"signatureUpdate":{"schedule":{"intervalHours":4,"fullIntervalHours":0,"initialRandomDelayHours":4}}},"mobileSensorSettings":null,"phishingSettings":null,"directoryActionRules":null,"sensorAutoUpdateEnabled":true,"sensorSettings":[{"name":"CB_LIVE_RESPONSE","value":"true"},{"name":"ALLOW_UNINSTALL","value":"true"},{"name":"SHOW_UI","value":"false"},{"name":"ENABLE_THREAT_SHARING","value":"true"},{"name":"QUARANTINE_DEVICE","value":"false"},{"name":"LOGGING_LEVEL","value":"NORMAL"},{"name":"QUARANTINE_DEVICE_MESSAGE","value":"Your device has been quarantined. Please contact your administrator."},{"name":"SET_SENSOR_MODE","value":"0"},{"name":"SENSOR_RESET","value":"0"},{"name":"BACKGROUND_SCAN","value":"false"},{"name":"POLICY_ACTION_OVERRIDE","value":"true"},{"name":"HELP_MESSAGE","value":""},{"name":"PRESERVE_SYSTEM_MEMORY_SCAN","value":"false"},{"name":"HASH_MD5","value":"false"},{"name":"SCAN_LARGE_FILE_READ","value":"false"},{"name":"SCAN_EXECUTE_ON_NETWORK_DRIVE","value":"true"},{"name":"DELAY_EXECUTE","value":"false"},{"name":"SCAN_NETWORK_DRIVE","value":"false"},{"name":"BYPASS_AFTER_LOGIN_MINS","value":"0"},{"name":"BYPASS_AFTER_RESTART_MINS","value":"0"}],"rulesV1":null,"rules":[{"application":{"type":"REPUTATION","value":"KNOWN_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":1,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"COMPANY_BLACK_LIST"},"operation":"RUN","userGroup":null,"action":"DENY","id":2,"required":false,"target":null}],"id":-1,"updateVersion":0}	1	1	{"timestampMap":{"DG_POLICY_CHANGE":1485357702715}}
3	1	t	t	100	Detection_Servers	\N	\N	\N	\N	\N	{"maxRuleId":1,"avSettings":{"updateServers":{"serversOverride":[],"serversForOffSiteDevices":["http://updates.cdc.carbonblack.io/update"],"servers":[{"flags":0,"regId":null,"server":["http://updates.cdc.carbonblack.io/update"]}],"useServersOverride":false},"features":[{"enabled":false,"name":"SIGNATURE_UPDATE"},{"enabled":true,"name":"ONACCESS_SCAN"},{"enabled":false,"name":"ONDEMOND_SCAN"}],"settings":null,"onAccessScan":{"profile":"NORMAL"},"onDemandScan":{"scanCdDvd":"AUTOSCAN","scanUsb":"AUTOSCAN","schedule":{"days":null,"rangeHours":8,"startHour":20,"recoveryScanIfMissed":true},"profile":"NORMAL"},"signatureUpdate":{"schedule":{"intervalHours":4,"fullIntervalHours":0,"initialRandomDelayHours":4}}},"mobileSensorSettings":null,"phishingSettings":null,"directoryActionRules":[],"sensorAutoUpdateEnabled":true,"sensorSettings":[{"name":"SHOW_UI","value":"false"},{"name":"BACKGROUND_SCAN","value":"false"},{"name":"QUARANTINE_DEVICE_MESSAGE","value":"Device has been quarantined by your computer administrator."},{"name":"LOGGING_LEVEL","value":"NORMAL"},{"name":"QUARANTINE_DEVICE","value":"false"},{"name":"PRESERVE_SYSTEM_MEMORY_SCAN","value":"false"},{"name":"HASH_MD5","value":"false"},{"name":"SCAN_LARGE_FILE_READ","value":"false"},{"name":"POLICY_ACTION_OVERRIDE","value":"true"},{"name":"ALLOW_UNINSTALL","value":"true"},{"name":"SCAN_NETWORK_DRIVE","value":"false"},{"name":"BYPASS_AFTER_LOGIN_MINS","value":"0"},{"name":"BYPASS_AFTER_RESTART_MINS","value":"0"},{"name":"SCAN_EXECUTE_ON_NETWORK_DRIVE","value":"true"},{"name":"DELAY_EXECUTE","value":"true"}],"rulesV1":null,"rules":[{"application":{"type":"REPUTATION","value":"COMPANY_BLACK_LIST"},"operation":"RUN","userGroup":null,"action":"DENY","id":1,"required":false,"target":null}],"id":-1,"updateVersion":0}	1	2	{"timestampMap":{"DG_POLICY_CHANGE":1485357702773}}
2	1	t	t	100	quarantine	Devices in this group will not be able to talk over the network.	\N	\N	\N	\N	{"maxRuleId":2,"avSettings":{"updateServers":{"serversOverride":[],"serversForOffSiteDevices":["http://updates.cdc.carbonblack.io/update"],"servers":[{"flags":0,"regId":null,"server":["http://updates.cdc.carbonblack.io/update"]}],"useServersOverride":false},"features":[{"enabled":false,"name":"SIGNATURE_UPDATE"},{"enabled":true,"name":"ONACCESS_SCAN"},{"enabled":false,"name":"ONDEMOND_SCAN"}],"settings":null,"onAccessScan":{"profile":"NORMAL"},"onDemandScan":{"scanCdDvd":"AUTOSCAN","scanUsb":"AUTOSCAN","schedule":{"days":null,"rangeHours":8,"startHour":20,"recoveryScanIfMissed":true},"profile":"NORMAL"},"signatureUpdate":{"schedule":{"intervalHours":4,"fullIntervalHours":0,"initialRandomDelayHours":4}}},"mobileSensorSettings":null,"phishingSettings":null,"directoryActionRules":null,"sensorAutoUpdateEnabled":true,"sensorSettings":[{"name":"ALLOW_UNINSTALL","value":"true"},{"name":"SHOW_UI","value":"false"},{"name":"ENABLE_THREAT_SHARING","value":"true"},{"name":"QUARANTINE_DEVICE","value":"true"},{"name":"LOGGING_LEVEL","value":"NORMAL"},{"name":"QUARANTINE_DEVICE_MESSAGE","value":"Your device has been quarantined. Please contact your administrator."},{"name":"SET_SENSOR_MODE","value":"0"},{"name":"SENSOR_RESET","value":"0"},{"name":"BACKGROUND_SCAN","value":"false"},{"name":"POLICY_ACTION_OVERRIDE","value":"true"},{"name":"HELP_MESSAGE","value":""},{"name":"PRESERVE_SYSTEM_MEMORY_SCAN","value":"false"},{"name":"HASH_MD5","value":"false"},{"name":"SCAN_LARGE_FILE_READ","value":"false"},{"name":"SCAN_EXECUTE_ON_NETWORK_DRIVE","value":"true"},{"name":"DELAY_EXECUTE","value":"false"},{"name":"SCAN_NETWORK_DRIVE","value":"false"},{"name":"BYPASS_AFTER_LOGIN_MINS","value":"0"},{"name":"BYPASS_AFTER_RESTART_MINS","value":"0"}],"rulesV1":null,"rules":[{"application":{"type":"REPUTATION","value":"KNOWN_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":1,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"COMPANY_BLACK_LIST"},"operation":"RUN","userGroup":null,"action":"DENY","id":2,"required":false,"target":null}],"id":-1,"updateVersion":0}	1	1	{"timestampMap":{"DG_POLICY_CHANGE":1485357702725}}
4	1	t	t	100	Restrictive_Mac_Workstation	\N	\N	\N	\N	\N	{"maxRuleId":4,"avSettings":{"updateServers":{"serversOverride":[],"serversForOffSiteDevices":["http://updates.cdc.carbonblack.io/update"],"servers":[{"flags":0,"regId":null,"server":["http://updates.cdc.carbonblack.io/update"]}],"useServersOverride":false},"features":[{"enabled":false,"name":"SIGNATURE_UPDATE"},{"enabled":true,"name":"ONACCESS_SCAN"},{"enabled":false,"name":"ONDEMOND_SCAN"}],"settings":null,"onAccessScan":{"profile":"NORMAL"},"onDemandScan":{"scanCdDvd":"AUTOSCAN","scanUsb":"AUTOSCAN","schedule":{"days":null,"rangeHours":8,"startHour":20,"recoveryScanIfMissed":true},"profile":"NORMAL"},"signatureUpdate":{"schedule":{"intervalHours":4,"fullIntervalHours":0,"initialRandomDelayHours":4}}},"mobileSensorSettings":null,"phishingSettings":null,"directoryActionRules":[],"sensorAutoUpdateEnabled":true,"sensorSettings":[{"name":"SHOW_UI","value":"false"},{"name":"BACKGROUND_SCAN","value":"false"},{"name":"QUARANTINE_DEVICE_MESSAGE","value":"Device has been quarantined by your computer administrator."},{"name":"LOGGING_LEVEL","value":"NORMAL"},{"name":"QUARANTINE_DEVICE","value":"false"},{"name":"PRESERVE_SYSTEM_MEMORY_SCAN","value":"false"},{"name":"HASH_MD5","value":"false"},{"name":"SCAN_LARGE_FILE_READ","value":"false"},{"name":"POLICY_ACTION_OVERRIDE","value":"true"},{"name":"ALLOW_UNINSTALL","value":"true"},{"name":"SCAN_NETWORK_DRIVE","value":"false"},{"name":"BYPASS_AFTER_LOGIN_MINS","value":"0"},{"name":"BYPASS_AFTER_RESTART_MINS","value":"0"},{"name":"SCAN_EXECUTE_ON_NETWORK_DRIVE","value":"true"},{"name":"DELAY_EXECUTE","value":"true"}],"rulesV1":null,"rules":[{"application":{"type":"REPUTATION","value":"KNOWN_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":1,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"COMPANY_BLACK_LIST"},"operation":"RUN","userGroup":null,"action":"DENY","id":2,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"SUSPECT_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":3,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"PUP"},"operation":"RUN","userGroup":null,"action":"DENY","id":4,"required":false,"target":null}],"id":-1,"updateVersion":0}	1	1	{"timestampMap":{"DG_POLICY_CHANGE":1485357702774}}
5	1	t	t	100	Restrictive_Windows_Workstation	\N	\N	\N	\N	\N	{"maxRuleId":11,"avSettings":{"updateServers":{"serversOverride":[],"serversForOffSiteDevices":["http://updates.cdc.carbonblack.io/update"],"servers":[{"flags":0,"regId":null,"server":["http://updates.cdc.carbonblack.io/update"]}],"useServersOverride":false},"features":[{"enabled":false,"name":"SIGNATURE_UPDATE"},{"enabled":true,"name":"ONACCESS_SCAN"},{"enabled":false,"name":"ONDEMOND_SCAN"}],"settings":null,"onAccessScan":{"profile":"NORMAL"},"onDemandScan":{"scanCdDvd":"AUTOSCAN","scanUsb":"AUTOSCAN","schedule":{"days":null,"rangeHours":8,"startHour":20,"recoveryScanIfMissed":true},"profile":"NORMAL"},"signatureUpdate":{"schedule":{"intervalHours":4,"fullIntervalHours":0,"initialRandomDelayHours":4}}},"mobileSensorSettings":null,"phishingSettings":null,"directoryActionRules":[],"sensorAutoUpdateEnabled":true,"sensorSettings":[{"name":"SHOW_UI","value":"false"},{"name":"BACKGROUND_SCAN","value":"false"},{"name":"QUARANTINE_DEVICE_MESSAGE","value":"Device has been quarantined by your computer administrator."},{"name":"LOGGING_LEVEL","value":"NORMAL"},{"name":"QUARANTINE_DEVICE","value":"false"},{"name":"PRESERVE_SYSTEM_MEMORY_SCAN","value":"false"},{"name":"HASH_MD5","value":"false"},{"name":"SCAN_LARGE_FILE_READ","value":"false"},{"name":"POLICY_ACTION_OVERRIDE","value":"true"},{"name":"ALLOW_UNINSTALL","value":"true"},{"name":"SCAN_NETWORK_DRIVE","value":"false"},{"name":"BYPASS_AFTER_LOGIN_MINS","value":"0"},{"name":"BYPASS_AFTER_RESTART_MINS","value":"0"},{"name":"SCAN_EXECUTE_ON_NETWORK_DRIVE","value":"true"},{"name":"DELAY_EXECUTE","value":"true"}],"rulesV1":null,"rules":[{"application":{"type":"REPUTATION","value":"KNOWN_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":1,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"COMPANY_BLACK_LIST"},"operation":"RUN","userGroup":null,"action":"DENY","id":2,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"SUSPECT_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":3,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"PUP"},"operation":"RUN","userGroup":null,"action":"DENY","id":4,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"RESOLVING"},"operation":"MEMORY_SCRAPE","userGroup":null,"action":"DENY","id":5,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"RESOLVING"},"operation":"CODE_INJECTION","userGroup":null,"action":"TERMINATE","id":6,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"ADAPTIVE_WHITE_LIST"},"operation":"MEMORY_SCRAPE","userGroup":null,"action":"DENY","id":7,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"ADAPTIVE_WHITE_LIST"},"operation":"CODE_INJECTION","userGroup":null,"action":"TERMINATE","id":8,"required":false,"target":null},{"application":{"type":"NAME_PATH","value":"**\\\\powershell.exe"},"operation":"MEMORY_SCRAPE","userGroup":null,"action":"TERMINATE","id":9,"required":false,"target":null},{"application":{"type":"NAME_PATH","value":"**\\\\powershell.exe"},"operation":"CODE_INJECTION","userGroup":null,"action":"TERMINATE","id":10,"required":false,"target":null},{"application":{"type":"NAME_PATH","value":"**\\\\Microsoft Office\\\\**"},"operation":"CODE_INJECTION","userGroup":null,"action":"TERMINATE","id":11,"required":false,"target":null}],"id":-1,"updateVersion":0}	1	1	{"timestampMap":{"DG_POLICY_CHANGE":1485357702776}}
7	1	t	t	100	Standard_Mac_Workstation	\N	\N	\N	\N	\N	{"maxRuleId":4,"avSettings":{"updateServers":{"serversOverride":[],"serversForOffSiteDevices":["http://updates.cdc.carbonblack.io/update"],"servers":[{"flags":0,"regId":null,"server":["http://updates.cdc.carbonblack.io/update"]}],"useServersOverride":false},"features":[{"enabled":false,"name":"SIGNATURE_UPDATE"},{"enabled":true,"name":"ONACCESS_SCAN"},{"enabled":false,"name":"ONDEMOND_SCAN"}],"settings":null,"onAccessScan":{"profile":"NORMAL"},"onDemandScan":{"scanCdDvd":"AUTOSCAN","scanUsb":"AUTOSCAN","schedule":{"days":null,"rangeHours":8,"startHour":20,"recoveryScanIfMissed":true},"profile":"NORMAL"},"signatureUpdate":{"schedule":{"intervalHours":4,"fullIntervalHours":0,"initialRandomDelayHours":4}}},"mobileSensorSettings":null,"phishingSettings":null,"directoryActionRules":[],"sensorAutoUpdateEnabled":true,"sensorSettings":[{"name":"SHOW_UI","value":"false"},{"name":"BACKGROUND_SCAN","value":"false"},{"name":"QUARANTINE_DEVICE_MESSAGE","value":"Device has been quarantined by your computer administrator."},{"name":"LOGGING_LEVEL","value":"NORMAL"},{"name":"QUARANTINE_DEVICE","value":"false"},{"name":"PRESERVE_SYSTEM_MEMORY_SCAN","value":"false"},{"name":"HASH_MD5","value":"false"},{"name":"SCAN_LARGE_FILE_READ","value":"false"},{"name":"POLICY_ACTION_OVERRIDE","value":"true"},{"name":"ALLOW_UNINSTALL","value":"true"},{"name":"SCAN_NETWORK_DRIVE","value":"false"},{"name":"BYPASS_AFTER_LOGIN_MINS","value":"0"},{"name":"BYPASS_AFTER_RESTART_MINS","value":"0"},{"name":"SCAN_EXECUTE_ON_NETWORK_DRIVE","value":"true"},{"name":"DELAY_EXECUTE","value":"true"}],"rulesV1":null,"rules":[{"application":{"type":"REPUTATION","value":"KNOWN_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":1,"required":true,"target":null},{"application":{"type":"REPUTATION","value":"COMPANY_BLACK_LIST"},"operation":"RUN","userGroup":null,"action":"DENY","id":2,"required":true,"target":null},{"application":{"type":"REPUTATION","value":"SUSPECT_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":3,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"PUP"},"operation":"RUN","userGroup":null,"action":"DENY","id":4,"required":false,"target":null}],"id":-1,"updateVersion":0}	1	1	{"timestampMap":{"DG_POLICY_CHANGE":1485357702778}}
6	1	t	t	100	Standard_Windows_Workstation	\N	\N	\N	\N	\N	{"maxRuleId":8,"avSettings":{"updateServers":{"serversOverride":[],"serversForOffSiteDevices":["http://updates.cdc.carbonblack.io/update"],"servers":[{"flags":0,"regId":null,"server":["http://updates.cdc.carbonblack.io/update"]}],"useServersOverride":false},"features":[{"enabled":false,"name":"SIGNATURE_UPDATE"},{"enabled":true,"name":"ONACCESS_SCAN"},{"enabled":false,"name":"ONDEMOND_SCAN"}],"settings":null,"onAccessScan":{"profile":"NORMAL"},"onDemandScan":{"scanCdDvd":"AUTOSCAN","scanUsb":"AUTOSCAN","schedule":{"days":null,"rangeHours":8,"startHour":20,"recoveryScanIfMissed":true},"profile":"NORMAL"},"signatureUpdate":{"schedule":{"intervalHours":4,"fullIntervalHours":0,"initialRandomDelayHours":4}}},"mobileSensorSettings":null,"phishingSettings":null,"directoryActionRules":[],"sensorAutoUpdateEnabled":true,"sensorSettings":[{"name":"SHOW_UI","value":"false"},{"name":"BACKGROUND_SCAN","value":"false"},{"name":"QUARANTINE_DEVICE_MESSAGE","value":"Device has been quarantined by your computer administrator."},{"name":"LOGGING_LEVEL","value":"NORMAL"},{"name":"QUARANTINE_DEVICE","value":"false"},{"name":"PRESERVE_SYSTEM_MEMORY_SCAN","value":"false"},{"name":"HASH_MD5","value":"false"},{"name":"SCAN_LARGE_FILE_READ","value":"false"},{"name":"POLICY_ACTION_OVERRIDE","value":"true"},{"name":"ALLOW_UNINSTALL","value":"true"},{"name":"SCAN_NETWORK_DRIVE","value":"false"},{"name":"BYPASS_AFTER_LOGIN_MINS","value":"0"},{"name":"BYPASS_AFTER_RESTART_MINS","value":"0"},{"name":"SCAN_EXECUTE_ON_NETWORK_DRIVE","value":"true"},{"name":"DELAY_EXECUTE","value":"true"}],"rulesV1":null,"rules":[{"application":{"type":"REPUTATION","value":"KNOWN_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":1,"required":true,"target":null},{"application":{"type":"REPUTATION","value":"COMPANY_BLACK_LIST"},"operation":"RUN","userGroup":null,"action":"DENY","id":2,"required":true,"target":null},{"application":{"type":"REPUTATION","value":"SUSPECT_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":3,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"PUP"},"operation":"RUN","userGroup":null,"action":"DENY","id":4,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"RESOLVING"},"operation":"CODE_INJECTION","userGroup":null,"action":"TERMINATE","id":5,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"ADAPTIVE_WHITE_LIST"},"operation":"CODE_INJECTION","userGroup":null,"action":"TERMINATE","id":6,"required":false,"target":null},{"application":{"type":"NAME_PATH","value":"**\\\\powershell.exe"},"operation":"MEMORY_SCRAPE","userGroup":null,"action":"DENY","id":7,"required":false,"target":null},{"application":{"type":"NAME_PATH","value":"**\\\\powershell.exe"},"operation":"CODE_INJECTION","userGroup":null,"action":"TERMINATE","id":8,"required":false,"target":null}],"id":-1,"updateVersion":0}	1	1	{"timestampMap":{"DG_POLICY_CHANGE":1485357702777}}
8	2	t	t	100	default	\N	\N	\N	\N	\N	{"maxRuleId":2,"avSettings":{"updateServers":{"serversOverride":[],"serversForOffSiteDevices":["http://updates.cdc.carbonblack.io/update"],"servers":[{"flags":0,"regId":null,"server":["http://updates.cdc.carbonblack.io/update"]}],"useServersOverride":false},"features":[{"enabled":false,"name":"SIGNATURE_UPDATE"},{"enabled":true,"name":"ONACCESS_SCAN"},{"enabled":false,"name":"ONDEMOND_SCAN"}],"settings":null,"onAccessScan":{"profile":"NORMAL"},"onDemandScan":{"scanCdDvd":"AUTOSCAN","scanUsb":"AUTOSCAN","schedule":{"days":null,"rangeHours":8,"startHour":20,"recoveryScanIfMissed":true},"profile":"NORMAL"},"signatureUpdate":{"schedule":{"intervalHours":4,"fullIntervalHours":0,"initialRandomDelayHours":4}}},"mobileSensorSettings":null,"phishingSettings":null,"directoryActionRules":null,"sensorAutoUpdateEnabled":true,"sensorSettings":[{"name":"ALLOW_UNINSTALL","value":"true"},{"name":"SHOW_UI","value":"false"},{"name":"ENABLE_THREAT_SHARING","value":"true"},{"name":"QUARANTINE_DEVICE","value":"false"},{"name":"LOGGING_LEVEL","value":"NORMAL"},{"name":"QUARANTINE_DEVICE_MESSAGE","value":"Your device has been quarantined. Please contact your administrator."},{"name":"SET_SENSOR_MODE","value":"0"},{"name":"SENSOR_RESET","value":"0"},{"name":"BACKGROUND_SCAN","value":"false"},{"name":"POLICY_ACTION_OVERRIDE","value":"true"},{"name":"HELP_MESSAGE","value":""},{"name":"PRESERVE_SYSTEM_MEMORY_SCAN","value":"false"},{"name":"HASH_MD5","value":"false"},{"name":"SCAN_LARGE_FILE_READ","value":"false"},{"name":"SCAN_EXECUTE_ON_NETWORK_DRIVE","value":"true"},{"name":"DELAY_EXECUTE","value":"false"},{"name":"SCAN_NETWORK_DRIVE","value":"false"},{"name":"BYPASS_AFTER_LOGIN_MINS","value":"0"},{"name":"BYPASS_AFTER_RESTART_MINS","value":"0"}],"rulesV1":null,"rules":[{"application":{"type":"REPUTATION","value":"KNOWN_MALWARE"},"operation":"RUN","userGroup":null,"action":"DENY","id":1,"required":false,"target":null},{"application":{"type":"REPUTATION","value":"COMPANY_BLACK_LIST"},"operation":"RUN","userGroup":null,"action":"DENY","id":2,"required":false,"target":null}],"id":-1,"updateVersion":0}	1	1	{"timestampMap":{"DG_POLICY_CHANGE":1485357702715}}
\.


--
-- Data for Name: device_owner; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY device_owner (device_owner_id, org_id, email_id, owner_contact_id, activation_code, num_devices, expire_time, create_time, last_update_time, device_group_id, update_version) FROM stdin;
1	1	user_1_0@scargoinc.com	\N	DEVCODE0	1	2017-01-25 15:38:23.887+00	2017-01-25 15:21:43.889676+00	\N	1	0
2	1	user_1_1	\N	DEVCODE1	1	2017-01-25 15:38:24.248+00	2017-01-25 15:21:44.2493+00	\N	1	0
3	1	user_1_2@scargoinc.com	\N	DEVCODE2	1	2017-01-25 15:38:24.317+00	2017-01-25 15:21:44.318379+00	\N	1	0
4	1	user_3_0@scargoinc.com	\N	DEVCODE0	1	2017-01-25 15:38:24.367+00	2017-01-25 15:21:44.368624+00	\N	3	0
5	1	user_3_1	\N	DEVCODE1	1	2017-01-25 15:38:24.4+00	2017-01-25 15:21:44.401375+00	\N	3	0
6	1	user_3_2@scargoinc.com	\N	DEVCODE2	1	2017-01-25 15:38:24.424+00	2017-01-25 15:21:44.424857+00	\N	3	0
7	2	user_4_1@scargoinc.com	\N	DEVCODE3	1	2017-01-25 15:38:24.424+00	2017-01-25 15:21:44.424857+00	\N	8	0
8	2	user_4_2@scargoinc.com	\N	DEVCODE4	1	2017-01-25 15:38:24.424+00	2017-01-25 15:21:44.424857+00	\N	8	0
9	1	user_3_3@scargoinc.com	\N	DEVCODE5	1	2017-01-25 15:38:24.424+00	2017-01-25 15:21:44.424857+00	\N	1	0
\.

--
-- Data for Name: device; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY device (device_id, device_type_id, device_owner_id, device_guid, name, email, email_type_id, session_id, properties, assignedtoid, assignedtoname, create_time, update_version, time_correction, replica_device_id, change_timestamps) FROM stdin;
1	1	1	498d862e93c856dfd6e72c1af0ab8a438c66fc91b4b22f6dbd60d18f1f3ef85f	Group: 1 DeviceId: 1	user_1_0@scargoinc.com	\N	\N	{"Firmware Version":"A9993x91","Android Version":"ICS 2.12921","_VersionInfo":"Windows 7, ServicePack 2","Scargo Client Version":"1.2.3.4","OS Minor Version":"WINDOWS7","Service Pack Version":"3"}	0	\N	2017-01-25 15:21:43.90457+00	1	\N	\N	\N
2	2	2	39aa3ac41f197403494f6636abac97ba5e273831ed75efc6406e6f9f53616e16	Group: 1 DeviceId: 2	user_1_1	\N	\N	{"Firmware Version":"A9993x91","Android Version":"ICS 2.12921","_VersionInfo":"Windows 7, ServicePack 2","Scargo Client Version":"1.2.3.4","OS Minor Version":"WINDOWS7","Service Pack Version":"3"}	0	\N	2017-01-25 15:21:44.266598+00	1	\N	\N	\N
3	1	3	9df236abde21ffcc92a60d7d378cf383faefd88f20c8380e37c8a6955aa53855	Group: 1 DeviceId: 3	user_1_2@scargoinc.com	\N	\N	{"Firmware Version":"A9993x91","Android Version":"ICS 2.12921","_VersionInfo":"Windows 7, ServicePack 2","Scargo Client Version":"1.2.3.4","OS Minor Version":"WINDOWS7","Service Pack Version":"3"}	0	\N	2017-01-25 15:21:44.339781+00	1	\N	\N	\N
4	1	4	824a0e3fa100dca462bc8ca63cd17e7a05aa6dc51fbab07d4922f88b2b065d2e	Group: 3 DeviceId: 4	user_3_0@scargoinc.com	\N	\N	{"Firmware Version":"A9993x91","Android Version":"ICS 2.12921","_VersionInfo":"Windows 7, ServicePack 2","Scargo Client Version":"1.2.3.4","OS Minor Version":"WINDOWS7","Service Pack Version":"3"}	0	\N	2017-01-25 15:21:44.380093+00	1	\N	\N	\N
5	2	5	25079ede03124c5e50b71474fc4d3fa4fb64e5c9ca7071f7edbd6821b7e4b221	Group: 3 DeviceId: 5	user_3_1	\N	\N	{"Firmware Version":"A9993x91","Android Version":"ICS 2.12921","_VersionInfo":"Windows 7, ServicePack 2","Scargo Client Version":"1.2.3.4","OS Minor Version":"WINDOWS7","Service Pack Version":"3"}	0	\N	2017-01-25 15:21:44.408629+00	1	\N	\N	\N
6	1	6	a9967487a3ab12a7986e2567be773d6bb3e75ae0d815f71709af72fa663c406a	Group: 3 DeviceId: 6	user_3_2@scargoinc.com	\N	\N	{"Firmware Version":"A9993x91","Android Version":"ICS 2.12921","_VersionInfo":"Windows 7, ServicePack 2","Scargo Client Version":"1.2.3.4","OS Minor Version":"WINDOWS7","Service Pack Version":"3"}	0	\N	2017-01-25 15:21:44.434371+00	1	\N	\N	\N
7	1	7	a9967487a3ab12a7986e2567be773d6bb3e75ae0d815f71709af72fa663c406b	Group: 3 DeviceId: 6	user_4_1@scargoinc.com	\N	\N	{"Firmware Version":"A9993x91","Android Version":"ICS 2.12921","_VersionInfo":"Windows 7, ServicePack 2","Scargo Client Version":"1.2.3.4","OS Minor Version":"WINDOWS7","Service Pack Version":"3"}	0	\N	2017-01-25 15:21:44.434371+00	1	\N	\N	\N
8	1	8	a9967487a3ab12a7986e2567be773d6bb3e75ae0d815f71709af72fa663c406c	Group: 3 DeviceId: 6	user_4_2@scargoinc.com	\N	\N	{"Firmware Version":"A9993x91","Android Version":"ICS 2.12921","_VersionInfo":"Windows 7, ServicePack 2","Scargo Client Version":"1.2.3.4","OS Minor Version":"WINDOWS7","Service Pack Version":"3"}	0	\N	2017-01-25 15:21:44.434371+00	1	\N	\N	\N
9	1	9	a9967487a3ab12a7986e2567be773d6bb3e75ae0d815f71709af72fa663c406d	Group: 3 DeviceId: 6	user_3_3@scargoinc.com	\N	\N	{"Firmware Version":"A9993x91","Android Version":"ICS 2.12921","_VersionInfo":"Windows 7, ServicePack 2","Scargo Client Version":"1.2.3.4","OS Minor Version":"WINDOWS7","Service Pack Version":"3"}	0	\N	2017-01-25 15:21:44.434371+00	1	\N	\N	\N
\.


--
-- Name: behavior_event_event_id_seq; Type: SEQUENCE SET; Schema: public; Owner: localdev
--

SELECT pg_catalog.setval('behavior_event_event_id_seq', 1, false);


--
-- Name: contact_contact_id_seq; Type: SEQUENCE SET; Schema: public; Owner: localdev
--

SELECT pg_catalog.setval('contact_contact_id_seq', 7, true);


--
-- Name: device_device_id_seq; Type: SEQUENCE SET; Schema: public; Owner: localdev
--

SELECT pg_catalog.setval('device_device_id_seq', 9, true);


--
-- Data for Name: device_group_device; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY device_group_device (device_group_id, device_id) FROM stdin;
1	1
1	2
2	3
3	4
3	5
3	6
8	7
8	8
1	9
\.


--
-- Name: device_group_device_group_id_seq; Type: SEQUENCE SET; Schema: public; Owner: localdev
--

SELECT pg_catalog.setval('device_group_device_group_id_seq', 9, true);


--
-- Name: device_owner_device_owner_id_seq; Type: SEQUENCE SET; Schema: public; Owner: localdev
--

SELECT pg_catalog.setval('device_owner_device_owner_id_seq', 10, true);

--
-- Name: file_upload_upload_id_seq; Type: SEQUENCE SET; Schema: public; Owner: localdev
--

SELECT pg_catalog.setval('file_upload_upload_id_seq', 1, false);

--
-- Data for Name: org_admin; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY org_admin (org_id, login_id, admin_role, update_version) FROM stdin;
1	1	ALL_AND_CSR	0
1	2	ALL_AND_LR	0
1	3	VIEW_ONLY	0
1	4	SUPPORT_T1	0
1	5	PROVISIONING	0
1	6	ALL_AND_LR	0
1	7	ALL	0
\.


--
-- Data for Name: org_config_param; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY org_config_param (org_id, param_id, description, param_value, update_version) FROM stdin;
1	17	ORG_UI_PROFILE	{"orgUiProfileType":"CONFER_FULL"}	0
1	9	TWO_FACTOR_AUTHENTICATION_TYPE	0	0
1	27	ONBOARDING_TASK_COUNT	{"onboardingTasks":{"ADD_CONSOLE_ADMINS":7}}	0
1	2	Comma separated orgIds to manage	all	0
\.


--
-- Data for Name: org_domain; Type: TABLE DATA; Schema: public; Owner: localdev
--

COPY org_domain (org_domain_id, org_id, domain_name, is_default, description, update_version) FROM stdin;
1	1	scargoinc.com	t	scargoinc.com	0
2	2	scargoinc2.com	t	scargoinc2.com	0
\.


--
-- Name: org_domain_org_domain_id_seq; Type: SEQUENCE SET; Schema: public; Owner: localdev
--

SELECT pg_catalog.setval('org_domain_org_domain_id_seq', 2, true);


--
-- Name: organization_org_id_seq; Type: SEQUENCE SET; Schema: public; Owner: localdev
--

SELECT pg_catalog.setval('organization_org_id_seq', 2, true);


--
-- PostgreSQL database dump complete
--


