--
-- Update various device columns from integer to bigint for consistency in application code
--

ALTER TABLE device
  ALTER COLUMN device_owner_id TYPE bigint,
  ALTER COLUMN assignedtoid TYPE bigint,
  ALTER COLUMN time_correction TYPE bigint;

--
-- Create another index for MSM metadata lookup
--

CREATE INDEX org_meta_data_org_id_index ON org_meta_data (org_id);
