-- Adding new column to organization for org key
ALTER TABLE organization ADD COLUMN effective_th_endpoints BIGINT NOT NULL DEFAULT 0;
COMMENT ON COLUMN organization.effective_th_endpoints is 'Effective endpoint count used for ThreatHunter sizing';

-- Default to licensed endpoints for the org
UPDATE organization SET effective_th_endpoints = license_endpoints WHERE effective_th_endpoints = 0 AND license_endpoints > 0;
--
