--
-- New column deployment_type_change_timestamps in organization table to persist hints based on deployment type
--
ALTER TABLE organization ADD COLUMN IF NOT EXISTS deployment_type_change_timestamps varchar(4096);
COMMENT ON COLUMN organization.deployment_type_change_timestamps is 'Hints configured for deployment_type';

--
-- New column org_uuid in organization table to persist CSP organization ID
--
ALTER TABLE organization ADD COLUMN IF NOT EXISTS org_uuid VARCHAR(255);
COMMENT ON COLUMN organization.org_uuid is 'CSP organization ID';