-- Add constraints for org_uuid and org_key to fix issues with duplicate organizations
-- CBC-14974
ALTER TABLE organization
DROP CONSTRAINT IF EXISTS organization_unique_org_uuid;

ALTER TABLE organization
    ADD CONSTRAINT organization_unique_org_uuid UNIQUE (org_uuid);

ALTER TABLE organization
DROP CONSTRAINT IF EXISTS organization_unique_org_key;

ALTER TABLE organization
    ADD CONSTRAINT organization_unique_org_key UNIQUE (org_key);