--replace existing index with covering index allowing index-only-scans
--existing index dropped in next migration because CONCURRENTLY statements must be only statement in transaction
CREATE INDEX CONCURRENTLY IF NOT EXISTS idx_org_meta_data_org_id_id
    ON public.org_meta_data USING btree
        (org_id ASC NULLS LAST, id ASC NULLS LAST)
    INCLUDE(value, key, "position")
    TABLESPACE pg_default;
