-- Adds new table where org_domain records will be moved upon deregistering an org

CREATE TABLE IF NOT EXISTS deleted_org_domain
(
    org_domain_id INTEGER PRIMARY KEY,
    org_id INTEGER NOT NULL,
    domain_name VARCHAR(1024) NOT NULL,
    is_default BOOLEAN NOT NULL,
    description VARCHAR(1024),
    update_version INTEGER NOT NULL DEFAULT 0,
    FOREIGN KEY (org_id) REFERENCES organization (org_id)
    );